Package org.eclipse.jface.bindings

# Class Trigger

java.lang.Object
org.eclipse.jface.bindings.Trigger

All Implemented Interfaces:
  `Comparable`

Direct Known Subclasses:
  `KeyStroke`

public abstract class Trigger extends Object implements Comparable

The abstract class for any object that can be used as a trigger for a binding. This ensures that trigger conform to certain minimum requirements. Namely, triggers need to be hashable.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`Trigger()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`equals(Object object)`
Tests whether this object is equal to another object.
`abstract int`
`hashCode()`
Computes the hash code for this object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Constructor Details

### Trigger

public Trigger()

## Method Details

### equals

public abstract boolean equals(Object object)
Tests whether this object is equal to another object. A handle object is only equal to another trigger with the same properties.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - The object with which to compare; may be `null`.
Returns:
  `true` if the objects are equal; `false` otherwise.

### hashCode

public abstract int hashCode()
Computes the hash code for this object.

Overrides:
  `hashCode` in class `Object`
Returns:
  The hash code for this object.